Business Case Statuses
Update business-case status
Updates one business-case status. The payload is a full PUT contract and requires both name and color.
PUT
/
business-case-statuses
/
{businessCaseStatus}
Update business-case status
curl --request PUT \
--url https://app.fintoro.sk/api/public/v1/business-case-statuses/{businessCaseStatus} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Negotiation",
"color": "#22aa44"
}
'import requests
url = "https://app.fintoro.sk/api/public/v1/business-case-statuses/{businessCaseStatus}"
payload = {
"name": "Negotiation",
"color": "#22aa44"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Negotiation', color: '#22aa44'})
};
fetch('https://app.fintoro.sk/api/public/v1/business-case-statuses/{businessCaseStatus}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 41,
"name": "Negotiation",
"color": "#22aa44"
}{
"message": "This action is unauthorized."
}{
"message": "No query results for model."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Bearer token created for a specific company in Integrations → API.
Path Parameters
Business-case status ID.
Example:
41
Body
application/json
⌘I
Update business-case status

